import {Prisma, PrismaClient, Store} from '@prisma/client'
import {DefaultArgs} from '@prisma/client/runtime/library'

import {storeSeed} from '@/lib/db/prisma/seed/store'

export type prismaClientType = PrismaClient<
	Prisma.PrismaClientOptions,
	never,
	DefaultArgs
>

const prisma = new PrismaClient()

async function main() {
	console.log('!!!!')

	console.log(await storeSeed(prisma))
}

main()
	.then(async () => {
		await prisma.$disconnect()
	})
	.catch(async e => {
		console.error(e)
		await prisma.$disconnect()
		process.exit(1)
	})
